### Class

# Clutter Cursor

#### Description

    abstract class Clutter.Cursor : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clutter.Cursor:color-state

No description available.

#### Signals

###### Clutter.Cursor::texture-changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClutterCursorClass {
      GObjectClass parent_class;
      CoglTexture* (* get_texture) (
        ClutterCursor* cursor,
        int* hot_x,
        int* hot_y
      );
      void (* invalidate) (
        ClutterCursor* cursor
      );
      gboolean (* realize_texture) (
        ClutterCursor* cursor
      );
      gboolean (* is_animated) (
        ClutterCursor* cursor
      );
      void (* tick_frame) (
        ClutterCursor* cursor
      );
      unsigned int (* get_current_frame_time) (
        ClutterCursor* cursor
      );
      void (* prepare_at) (
        ClutterCursor* cursor,
        float best_scale,
        int x,
        int y
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`get_texture: CoglTexture* (* get_texture) ( ClutterCursor* cursor, int* hot_x, int* hot_y )`

  No description available.

`invalidate: void (* invalidate) ( ClutterCursor* cursor )`

  No description available.

`realize_texture: gboolean (* realize_texture) ( ClutterCursor* cursor )`

  No description available.

`is_animated: gboolean (* is_animated) ( ClutterCursor* cursor )`

  No description available.

`tick_frame: void (* tick_frame) ( ClutterCursor* cursor )`

  No description available.

`get_current_frame_time: unsigned int (* get_current_frame_time) ( ClutterCursor* cursor )`

  No description available.

`prepare_at: void (* prepare_at) ( ClutterCursor* cursor, float best_scale, int x, int y )`

  No description available.

#### Virtual methods

###### Clutter.CursorClass.get_current_frame_time

No description available.

###### Clutter.CursorClass.get_texture

No description available.

###### Clutter.CursorClass.invalidate

No description available.

###### Clutter.CursorClass.is_animated

No description available.

###### Clutter.CursorClass.prepare_at

No description available.

###### Clutter.CursorClass.realize_texture

No description available.

###### Clutter.CursorClass.tick_frame

No description available.